# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import

from ._database_accounts_operations import DatabaseAccountsOperations  # type: ignore
from ._operations import Operations  # type: ignore
from ._database_operations import DatabaseOperations  # type: ignore
from ._collection_operations import CollectionOperations  # type: ignore
from ._collection_region_operations import CollectionRegionOperations  # type: ignore
from ._database_account_region_operations import DatabaseAccountRegionOperations  # type: ignore
from ._percentile_source_target_operations import PercentileSourceTargetOperations  # type: ignore
from ._percentile_target_operations import PercentileTargetOperations  # type: ignore
from ._percentile_operations import PercentileOperations  # type: ignore
from ._collection_partition_region_operations import CollectionPartitionRegionOperations  # type: ignore
from ._collection_partition_operations import CollectionPartitionOperations  # type: ignore
from ._partition_key_range_id_operations import PartitionKeyRangeIdOperations  # type: ignore
from ._partition_key_range_id_region_operations import PartitionKeyRangeIdRegionOperations  # type: ignore
from ._sql_resources_operations import SqlResourcesOperations  # type: ignore
from ._mongo_db_resources_operations import MongoDBResourcesOperations  # type: ignore
from ._table_resources_operations import TableResourcesOperations  # type: ignore
from ._cassandra_resources_operations import CassandraResourcesOperations  # type: ignore
from ._gremlin_resources_operations import GremlinResourcesOperations  # type: ignore
from ._locations_operations import LocationsOperations  # type: ignore
from ._cassandra_clusters_operations import CassandraClustersOperations  # type: ignore
from ._cassandra_data_centers_operations import CassandraDataCentersOperations  # type: ignore
from ._notebook_workspaces_operations import NotebookWorkspacesOperations  # type: ignore
from ._private_endpoint_connections_operations import PrivateEndpointConnectionsOperations  # type: ignore
from ._private_link_resources_operations import PrivateLinkResourcesOperations  # type: ignore
from ._restorable_database_accounts_operations import RestorableDatabaseAccountsOperations  # type: ignore
from ._restorable_sql_databases_operations import RestorableSqlDatabasesOperations  # type: ignore
from ._restorable_sql_containers_operations import RestorableSqlContainersOperations  # type: ignore
from ._restorable_sql_resources_operations import RestorableSqlResourcesOperations  # type: ignore
from ._restorable_mongodb_databases_operations import RestorableMongodbDatabasesOperations  # type: ignore
from ._restorable_mongodb_collections_operations import RestorableMongodbCollectionsOperations  # type: ignore
from ._restorable_mongodb_resources_operations import RestorableMongodbResourcesOperations  # type: ignore
from ._restorable_gremlin_databases_operations import RestorableGremlinDatabasesOperations  # type: ignore
from ._restorable_gremlin_graphs_operations import RestorableGremlinGraphsOperations  # type: ignore
from ._restorable_gremlin_resources_operations import RestorableGremlinResourcesOperations  # type: ignore
from ._restorable_tables_operations import RestorableTablesOperations  # type: ignore
from ._restorable_table_resources_operations import RestorableTableResourcesOperations  # type: ignore
from ._service_operations import ServiceOperations  # type: ignore

from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "DatabaseAccountsOperations",
    "Operations",
    "DatabaseOperations",
    "CollectionOperations",
    "CollectionRegionOperations",
    "DatabaseAccountRegionOperations",
    "PercentileSourceTargetOperations",
    "PercentileTargetOperations",
    "PercentileOperations",
    "CollectionPartitionRegionOperations",
    "CollectionPartitionOperations",
    "PartitionKeyRangeIdOperations",
    "PartitionKeyRangeIdRegionOperations",
    "SqlResourcesOperations",
    "MongoDBResourcesOperations",
    "TableResourcesOperations",
    "CassandraResourcesOperations",
    "GremlinResourcesOperations",
    "LocationsOperations",
    "CassandraClustersOperations",
    "CassandraDataCentersOperations",
    "NotebookWorkspacesOperations",
    "PrivateEndpointConnectionsOperations",
    "PrivateLinkResourcesOperations",
    "RestorableDatabaseAccountsOperations",
    "RestorableSqlDatabasesOperations",
    "RestorableSqlContainersOperations",
    "RestorableSqlResourcesOperations",
    "RestorableMongodbDatabasesOperations",
    "RestorableMongodbCollectionsOperations",
    "RestorableMongodbResourcesOperations",
    "RestorableGremlinDatabasesOperations",
    "RestorableGremlinGraphsOperations",
    "RestorableGremlinResourcesOperations",
    "RestorableTablesOperations",
    "RestorableTableResourcesOperations",
    "ServiceOperations",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
