# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    ARMProxyResource,
    ARMResourceProperties,
    AccountKeyMetadata,
    AnalyticalStorageConfiguration,
    ApiProperties,
    AuthenticationMethodLdapProperties,
    AutoUpgradePolicyResource,
    AutoscaleSettings,
    AutoscaleSettingsResource,
    BackupInformation,
    BackupPolicy,
    BackupPolicyMigrationState,
    Capability,
    Capacity,
    CassandraClusterDataCenterNodeItem,
    CassandraClusterPublicStatus,
    CassandraClusterPublicStatusDataCentersItem,
    CassandraError,
    CassandraKeyspaceCreateUpdateParameters,
    CassandraKeyspaceGetPropertiesOptions,
    CassandraKeyspaceGetPropertiesResource,
    CassandraKeyspaceGetResults,
    CassandraKeyspaceListResult,
    CassandraKeyspaceResource,
    CassandraPartitionKey,
    CassandraSchema,
    CassandraTableCreateUpdateParameters,
    CassandraTableGetPropertiesOptions,
    CassandraTableGetPropertiesResource,
    CassandraTableGetResults,
    CassandraTableListResult,
    CassandraTableResource,
    Certificate,
    ClientEncryptionIncludedPath,
    ClientEncryptionKeyCreateUpdateParameters,
    ClientEncryptionKeyGetPropertiesResource,
    ClientEncryptionKeyGetResults,
    ClientEncryptionKeyResource,
    ClientEncryptionKeysListResult,
    ClientEncryptionPolicy,
    ClusterKey,
    ClusterResource,
    ClusterResourceProperties,
    Column,
    CommandOutput,
    CommandPostBody,
    CompositePath,
    ComputedProperty,
    ConflictResolutionPolicy,
    ConnectionError,
    ConsistencyPolicy,
    ContainerPartitionKey,
    ContinuousBackupInformation,
    ContinuousBackupRestoreLocation,
    ContinuousModeBackupPolicy,
    ContinuousModeProperties,
    CorsPolicy,
    CreateUpdateOptions,
    DataCenterResource,
    DataCenterResourceProperties,
    DataTransferRegionalServiceResource,
    DataTransferServiceResource,
    DataTransferServiceResourceCreateUpdateProperties,
    DataTransferServiceResourceProperties,
    DatabaseAccountConnectionString,
    DatabaseAccountCreateUpdateParameters,
    DatabaseAccountGetResults,
    DatabaseAccountKeysMetadata,
    DatabaseAccountListConnectionStringsResult,
    DatabaseAccountListKeysResult,
    DatabaseAccountListReadOnlyKeysResult,
    DatabaseAccountRegenerateKeyParameters,
    DatabaseAccountUpdateParameters,
    DatabaseAccountsListResult,
    DatabaseRestoreResource,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ErrorResponseAutoGenerated,
    ExcludedPath,
    ExtendedResourceProperties,
    FailoverPolicies,
    FailoverPolicy,
    FullTextPath,
    FullTextPolicy,
    GraphAPIComputeRegionalServiceResource,
    GraphAPIComputeServiceResource,
    GraphAPIComputeServiceResourceCreateUpdateProperties,
    GraphAPIComputeServiceResourceProperties,
    GremlinDatabaseCreateUpdateParameters,
    GremlinDatabaseGetPropertiesOptions,
    GremlinDatabaseGetPropertiesResource,
    GremlinDatabaseGetResults,
    GremlinDatabaseListResult,
    GremlinDatabaseResource,
    GremlinDatabaseRestoreResource,
    GremlinGraphCreateUpdateParameters,
    GremlinGraphGetPropertiesOptions,
    GremlinGraphGetPropertiesResource,
    GremlinGraphGetResults,
    GremlinGraphListResult,
    GremlinGraphResource,
    IncludedPath,
    Indexes,
    IndexingPolicy,
    IpAddressOrRange,
    KeyWrapMetadata,
    ListClusters,
    ListDataCenters,
    Location,
    LocationGetResult,
    LocationListResult,
    LocationProperties,
    ManagedCassandraARMResourceProperties,
    ManagedCassandraManagedServiceIdentity,
    ManagedCassandraReaperStatus,
    ManagedServiceIdentity,
    ManagedServiceIdentityUserAssignedIdentity,
    MaterializedViewsBuilderRegionalServiceResource,
    MaterializedViewsBuilderServiceResource,
    MaterializedViewsBuilderServiceResourceCreateUpdateProperties,
    MaterializedViewsBuilderServiceResourceProperties,
    Metric,
    MetricAvailability,
    MetricDefinition,
    MetricDefinitionsListResult,
    MetricListResult,
    MetricName,
    MetricValue,
    MongoDBCollectionCreateUpdateParameters,
    MongoDBCollectionGetPropertiesOptions,
    MongoDBCollectionGetPropertiesResource,
    MongoDBCollectionGetResults,
    MongoDBCollectionListResult,
    MongoDBCollectionResource,
    MongoDBDatabaseCreateUpdateParameters,
    MongoDBDatabaseGetPropertiesOptions,
    MongoDBDatabaseGetPropertiesResource,
    MongoDBDatabaseGetResults,
    MongoDBDatabaseListResult,
    MongoDBDatabaseResource,
    MongoIndex,
    MongoIndexKeys,
    MongoIndexOptions,
    MongoRoleDefinitionCreateUpdateParameters,
    MongoRoleDefinitionGetResults,
    MongoRoleDefinitionListResult,
    MongoUserDefinitionCreateUpdateParameters,
    MongoUserDefinitionGetResults,
    MongoUserDefinitionListResult,
    NotebookWorkspace,
    NotebookWorkspaceConnectionInfoResult,
    NotebookWorkspaceCreateUpdateParameters,
    NotebookWorkspaceListResult,
    Operation,
    OperationDisplay,
    OperationListResult,
    OptionsResource,
    PartitionMetric,
    PartitionMetricListResult,
    PartitionUsage,
    PartitionUsagesResult,
    PercentileMetric,
    PercentileMetricListResult,
    PercentileMetricValue,
    PeriodicModeBackupPolicy,
    PeriodicModeProperties,
    Permission,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointProperty,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionStateProperty,
    Privilege,
    PrivilegeResource,
    ProxyResource,
    RegionForOnlineOffline,
    RegionalServiceResource,
    Resource,
    ResourceRestoreParameters,
    RestorableDatabaseAccountGetResult,
    RestorableDatabaseAccountsListResult,
    RestorableGremlinDatabaseGetResult,
    RestorableGremlinDatabasePropertiesResource,
    RestorableGremlinDatabasesListResult,
    RestorableGremlinGraphGetResult,
    RestorableGremlinGraphPropertiesResource,
    RestorableGremlinGraphsListResult,
    RestorableGremlinResourcesGetResult,
    RestorableGremlinResourcesListResult,
    RestorableLocationResource,
    RestorableMongodbCollectionGetResult,
    RestorableMongodbCollectionPropertiesResource,
    RestorableMongodbCollectionsListResult,
    RestorableMongodbDatabaseGetResult,
    RestorableMongodbDatabasePropertiesResource,
    RestorableMongodbDatabasesListResult,
    RestorableMongodbResourcesGetResult,
    RestorableMongodbResourcesListResult,
    RestorableSqlContainerGetResult,
    RestorableSqlContainerPropertiesResource,
    RestorableSqlContainerPropertiesResourceContainer,
    RestorableSqlContainersListResult,
    RestorableSqlDatabaseGetResult,
    RestorableSqlDatabasePropertiesResource,
    RestorableSqlDatabasePropertiesResourceDatabase,
    RestorableSqlDatabasesListResult,
    RestorableSqlResourcesGetResult,
    RestorableSqlResourcesListResult,
    RestorableTableGetResult,
    RestorableTablePropertiesResource,
    RestorableTableResourcesGetResult,
    RestorableTableResourcesListResult,
    RestorableTablesListResult,
    RestoreParameters,
    RestoreParametersBase,
    Role,
    SeedNode,
    ServiceResource,
    ServiceResourceCreateUpdateParameters,
    ServiceResourceCreateUpdateProperties,
    ServiceResourceListResult,
    ServiceResourceProperties,
    SpatialSpec,
    SqlContainerCreateUpdateParameters,
    SqlContainerGetPropertiesOptions,
    SqlContainerGetPropertiesResource,
    SqlContainerGetResults,
    SqlContainerListResult,
    SqlContainerResource,
    SqlDatabaseCreateUpdateParameters,
    SqlDatabaseGetPropertiesOptions,
    SqlDatabaseGetPropertiesResource,
    SqlDatabaseGetResults,
    SqlDatabaseListResult,
    SqlDatabaseResource,
    SqlDedicatedGatewayRegionalServiceResource,
    SqlDedicatedGatewayServiceResource,
    SqlDedicatedGatewayServiceResourceCreateUpdateProperties,
    SqlDedicatedGatewayServiceResourceProperties,
    SqlRoleAssignmentCreateUpdateParameters,
    SqlRoleAssignmentGetResults,
    SqlRoleAssignmentListResult,
    SqlRoleDefinitionCreateUpdateParameters,
    SqlRoleDefinitionGetResults,
    SqlRoleDefinitionListResult,
    SqlStoredProcedureCreateUpdateParameters,
    SqlStoredProcedureGetPropertiesResource,
    SqlStoredProcedureGetResults,
    SqlStoredProcedureListResult,
    SqlStoredProcedureResource,
    SqlTriggerCreateUpdateParameters,
    SqlTriggerGetPropertiesResource,
    SqlTriggerGetResults,
    SqlTriggerListResult,
    SqlTriggerResource,
    SqlUserDefinedFunctionCreateUpdateParameters,
    SqlUserDefinedFunctionGetPropertiesResource,
    SqlUserDefinedFunctionGetResults,
    SqlUserDefinedFunctionListResult,
    SqlUserDefinedFunctionResource,
    SystemData,
    TableCreateUpdateParameters,
    TableGetPropertiesOptions,
    TableGetPropertiesResource,
    TableGetResults,
    TableListResult,
    TableResource,
    ThroughputPolicyResource,
    ThroughputSettingsGetPropertiesResource,
    ThroughputSettingsGetResults,
    ThroughputSettingsResource,
    ThroughputSettingsUpdateParameters,
    UniqueKey,
    UniqueKeyPolicy,
    Usage,
    UsagesResult,
    VectorEmbedding,
    VectorEmbeddingPolicy,
    VectorIndex,
    VirtualNetworkRule,
)

from ._cosmos_db_management_client_enums import (  # type: ignore
    AnalyticalStorageSchemaType,
    ApiType,
    AuthenticationMethod,
    AzureConnectionType,
    BackupPolicyMigrationStatus,
    BackupPolicyType,
    BackupStorageRedundancy,
    CompositePathSortOrder,
    ConflictResolutionMode,
    ConnectionState,
    ConnectorOffer,
    ContinuousTier,
    CreateMode,
    CreatedByType,
    DataType,
    DatabaseAccountKind,
    DedicatedGatewayType,
    DefaultConsistencyLevel,
    DistanceFunction,
    IndexKind,
    IndexingMode,
    KeyKind,
    Kind,
    ManagedCassandraProvisioningState,
    ManagedCassandraResourceIdentityType,
    MinimalTlsVersion,
    MongoRoleDefinitionType,
    NetworkAclBypass,
    NodeState,
    NodeStatus,
    NotebookWorkspaceName,
    OperationType,
    PartitionKind,
    PrimaryAggregationType,
    PublicNetworkAccess,
    ResourceIdentityType,
    RestoreMode,
    RoleDefinitionType,
    ServerVersion,
    ServiceSize,
    ServiceStatus,
    ServiceType,
    SpatialType,
    Status,
    TriggerOperation,
    TriggerType,
    Type,
    UnitType,
    VectorDataType,
    VectorIndexType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ARMProxyResource",
    "ARMResourceProperties",
    "AccountKeyMetadata",
    "AnalyticalStorageConfiguration",
    "ApiProperties",
    "AuthenticationMethodLdapProperties",
    "AutoUpgradePolicyResource",
    "AutoscaleSettings",
    "AutoscaleSettingsResource",
    "BackupInformation",
    "BackupPolicy",
    "BackupPolicyMigrationState",
    "Capability",
    "Capacity",
    "CassandraClusterDataCenterNodeItem",
    "CassandraClusterPublicStatus",
    "CassandraClusterPublicStatusDataCentersItem",
    "CassandraError",
    "CassandraKeyspaceCreateUpdateParameters",
    "CassandraKeyspaceGetPropertiesOptions",
    "CassandraKeyspaceGetPropertiesResource",
    "CassandraKeyspaceGetResults",
    "CassandraKeyspaceListResult",
    "CassandraKeyspaceResource",
    "CassandraPartitionKey",
    "CassandraSchema",
    "CassandraTableCreateUpdateParameters",
    "CassandraTableGetPropertiesOptions",
    "CassandraTableGetPropertiesResource",
    "CassandraTableGetResults",
    "CassandraTableListResult",
    "CassandraTableResource",
    "Certificate",
    "ClientEncryptionIncludedPath",
    "ClientEncryptionKeyCreateUpdateParameters",
    "ClientEncryptionKeyGetPropertiesResource",
    "ClientEncryptionKeyGetResults",
    "ClientEncryptionKeyResource",
    "ClientEncryptionKeysListResult",
    "ClientEncryptionPolicy",
    "ClusterKey",
    "ClusterResource",
    "ClusterResourceProperties",
    "Column",
    "CommandOutput",
    "CommandPostBody",
    "CompositePath",
    "ComputedProperty",
    "ConflictResolutionPolicy",
    "ConnectionError",
    "ConsistencyPolicy",
    "ContainerPartitionKey",
    "ContinuousBackupInformation",
    "ContinuousBackupRestoreLocation",
    "ContinuousModeBackupPolicy",
    "ContinuousModeProperties",
    "CorsPolicy",
    "CreateUpdateOptions",
    "DataCenterResource",
    "DataCenterResourceProperties",
    "DataTransferRegionalServiceResource",
    "DataTransferServiceResource",
    "DataTransferServiceResourceCreateUpdateProperties",
    "DataTransferServiceResourceProperties",
    "DatabaseAccountConnectionString",
    "DatabaseAccountCreateUpdateParameters",
    "DatabaseAccountGetResults",
    "DatabaseAccountKeysMetadata",
    "DatabaseAccountListConnectionStringsResult",
    "DatabaseAccountListKeysResult",
    "DatabaseAccountListReadOnlyKeysResult",
    "DatabaseAccountRegenerateKeyParameters",
    "DatabaseAccountUpdateParameters",
    "DatabaseAccountsListResult",
    "DatabaseRestoreResource",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ErrorResponseAutoGenerated",
    "ExcludedPath",
    "ExtendedResourceProperties",
    "FailoverPolicies",
    "FailoverPolicy",
    "FullTextPath",
    "FullTextPolicy",
    "GraphAPIComputeRegionalServiceResource",
    "GraphAPIComputeServiceResource",
    "GraphAPIComputeServiceResourceCreateUpdateProperties",
    "GraphAPIComputeServiceResourceProperties",
    "GremlinDatabaseCreateUpdateParameters",
    "GremlinDatabaseGetPropertiesOptions",
    "GremlinDatabaseGetPropertiesResource",
    "GremlinDatabaseGetResults",
    "GremlinDatabaseListResult",
    "GremlinDatabaseResource",
    "GremlinDatabaseRestoreResource",
    "GremlinGraphCreateUpdateParameters",
    "GremlinGraphGetPropertiesOptions",
    "GremlinGraphGetPropertiesResource",
    "GremlinGraphGetResults",
    "GremlinGraphListResult",
    "GremlinGraphResource",
    "IncludedPath",
    "Indexes",
    "IndexingPolicy",
    "IpAddressOrRange",
    "KeyWrapMetadata",
    "ListClusters",
    "ListDataCenters",
    "Location",
    "LocationGetResult",
    "LocationListResult",
    "LocationProperties",
    "ManagedCassandraARMResourceProperties",
    "ManagedCassandraManagedServiceIdentity",
    "ManagedCassandraReaperStatus",
    "ManagedServiceIdentity",
    "ManagedServiceIdentityUserAssignedIdentity",
    "MaterializedViewsBuilderRegionalServiceResource",
    "MaterializedViewsBuilderServiceResource",
    "MaterializedViewsBuilderServiceResourceCreateUpdateProperties",
    "MaterializedViewsBuilderServiceResourceProperties",
    "Metric",
    "MetricAvailability",
    "MetricDefinition",
    "MetricDefinitionsListResult",
    "MetricListResult",
    "MetricName",
    "MetricValue",
    "MongoDBCollectionCreateUpdateParameters",
    "MongoDBCollectionGetPropertiesOptions",
    "MongoDBCollectionGetPropertiesResource",
    "MongoDBCollectionGetResults",
    "MongoDBCollectionListResult",
    "MongoDBCollectionResource",
    "MongoDBDatabaseCreateUpdateParameters",
    "MongoDBDatabaseGetPropertiesOptions",
    "MongoDBDatabaseGetPropertiesResource",
    "MongoDBDatabaseGetResults",
    "MongoDBDatabaseListResult",
    "MongoDBDatabaseResource",
    "MongoIndex",
    "MongoIndexKeys",
    "MongoIndexOptions",
    "MongoRoleDefinitionCreateUpdateParameters",
    "MongoRoleDefinitionGetResults",
    "MongoRoleDefinitionListResult",
    "MongoUserDefinitionCreateUpdateParameters",
    "MongoUserDefinitionGetResults",
    "MongoUserDefinitionListResult",
    "NotebookWorkspace",
    "NotebookWorkspaceConnectionInfoResult",
    "NotebookWorkspaceCreateUpdateParameters",
    "NotebookWorkspaceListResult",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OptionsResource",
    "PartitionMetric",
    "PartitionMetricListResult",
    "PartitionUsage",
    "PartitionUsagesResult",
    "PercentileMetric",
    "PercentileMetricListResult",
    "PercentileMetricValue",
    "PeriodicModeBackupPolicy",
    "PeriodicModeProperties",
    "Permission",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointProperty",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionStateProperty",
    "Privilege",
    "PrivilegeResource",
    "ProxyResource",
    "RegionForOnlineOffline",
    "RegionalServiceResource",
    "Resource",
    "ResourceRestoreParameters",
    "RestorableDatabaseAccountGetResult",
    "RestorableDatabaseAccountsListResult",
    "RestorableGremlinDatabaseGetResult",
    "RestorableGremlinDatabasePropertiesResource",
    "RestorableGremlinDatabasesListResult",
    "RestorableGremlinGraphGetResult",
    "RestorableGremlinGraphPropertiesResource",
    "RestorableGremlinGraphsListResult",
    "RestorableGremlinResourcesGetResult",
    "RestorableGremlinResourcesListResult",
    "RestorableLocationResource",
    "RestorableMongodbCollectionGetResult",
    "RestorableMongodbCollectionPropertiesResource",
    "RestorableMongodbCollectionsListResult",
    "RestorableMongodbDatabaseGetResult",
    "RestorableMongodbDatabasePropertiesResource",
    "RestorableMongodbDatabasesListResult",
    "RestorableMongodbResourcesGetResult",
    "RestorableMongodbResourcesListResult",
    "RestorableSqlContainerGetResult",
    "RestorableSqlContainerPropertiesResource",
    "RestorableSqlContainerPropertiesResourceContainer",
    "RestorableSqlContainersListResult",
    "RestorableSqlDatabaseGetResult",
    "RestorableSqlDatabasePropertiesResource",
    "RestorableSqlDatabasePropertiesResourceDatabase",
    "RestorableSqlDatabasesListResult",
    "RestorableSqlResourcesGetResult",
    "RestorableSqlResourcesListResult",
    "RestorableTableGetResult",
    "RestorableTablePropertiesResource",
    "RestorableTableResourcesGetResult",
    "RestorableTableResourcesListResult",
    "RestorableTablesListResult",
    "RestoreParameters",
    "RestoreParametersBase",
    "Role",
    "SeedNode",
    "ServiceResource",
    "ServiceResourceCreateUpdateParameters",
    "ServiceResourceCreateUpdateProperties",
    "ServiceResourceListResult",
    "ServiceResourceProperties",
    "SpatialSpec",
    "SqlContainerCreateUpdateParameters",
    "SqlContainerGetPropertiesOptions",
    "SqlContainerGetPropertiesResource",
    "SqlContainerGetResults",
    "SqlContainerListResult",
    "SqlContainerResource",
    "SqlDatabaseCreateUpdateParameters",
    "SqlDatabaseGetPropertiesOptions",
    "SqlDatabaseGetPropertiesResource",
    "SqlDatabaseGetResults",
    "SqlDatabaseListResult",
    "SqlDatabaseResource",
    "SqlDedicatedGatewayRegionalServiceResource",
    "SqlDedicatedGatewayServiceResource",
    "SqlDedicatedGatewayServiceResourceCreateUpdateProperties",
    "SqlDedicatedGatewayServiceResourceProperties",
    "SqlRoleAssignmentCreateUpdateParameters",
    "SqlRoleAssignmentGetResults",
    "SqlRoleAssignmentListResult",
    "SqlRoleDefinitionCreateUpdateParameters",
    "SqlRoleDefinitionGetResults",
    "SqlRoleDefinitionListResult",
    "SqlStoredProcedureCreateUpdateParameters",
    "SqlStoredProcedureGetPropertiesResource",
    "SqlStoredProcedureGetResults",
    "SqlStoredProcedureListResult",
    "SqlStoredProcedureResource",
    "SqlTriggerCreateUpdateParameters",
    "SqlTriggerGetPropertiesResource",
    "SqlTriggerGetResults",
    "SqlTriggerListResult",
    "SqlTriggerResource",
    "SqlUserDefinedFunctionCreateUpdateParameters",
    "SqlUserDefinedFunctionGetPropertiesResource",
    "SqlUserDefinedFunctionGetResults",
    "SqlUserDefinedFunctionListResult",
    "SqlUserDefinedFunctionResource",
    "SystemData",
    "TableCreateUpdateParameters",
    "TableGetPropertiesOptions",
    "TableGetPropertiesResource",
    "TableGetResults",
    "TableListResult",
    "TableResource",
    "ThroughputPolicyResource",
    "ThroughputSettingsGetPropertiesResource",
    "ThroughputSettingsGetResults",
    "ThroughputSettingsResource",
    "ThroughputSettingsUpdateParameters",
    "UniqueKey",
    "UniqueKeyPolicy",
    "Usage",
    "UsagesResult",
    "VectorEmbedding",
    "VectorEmbeddingPolicy",
    "VectorIndex",
    "VirtualNetworkRule",
    "AnalyticalStorageSchemaType",
    "ApiType",
    "AuthenticationMethod",
    "AzureConnectionType",
    "BackupPolicyMigrationStatus",
    "BackupPolicyType",
    "BackupStorageRedundancy",
    "CompositePathSortOrder",
    "ConflictResolutionMode",
    "ConnectionState",
    "ConnectorOffer",
    "ContinuousTier",
    "CreateMode",
    "CreatedByType",
    "DataType",
    "DatabaseAccountKind",
    "DedicatedGatewayType",
    "DefaultConsistencyLevel",
    "DistanceFunction",
    "IndexKind",
    "IndexingMode",
    "KeyKind",
    "Kind",
    "ManagedCassandraProvisioningState",
    "ManagedCassandraResourceIdentityType",
    "MinimalTlsVersion",
    "MongoRoleDefinitionType",
    "NetworkAclBypass",
    "NodeState",
    "NodeStatus",
    "NotebookWorkspaceName",
    "OperationType",
    "PartitionKind",
    "PrimaryAggregationType",
    "PublicNetworkAccess",
    "ResourceIdentityType",
    "RestoreMode",
    "RoleDefinitionType",
    "ServerVersion",
    "ServiceSize",
    "ServiceStatus",
    "ServiceType",
    "SpatialType",
    "Status",
    "TriggerOperation",
    "TriggerType",
    "Type",
    "UnitType",
    "VectorDataType",
    "VectorIndexType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
